ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0018301ClearOSapp-base - Base Systempublic2017-12-14 13:262018-01-15 07:03
Reporterbchambers 
Assigned Tobchambers 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.4.0 
Target Version7.4.0 UpdatesFixed in Version7.4.0 Updates 
Summary0018301: Better support for multiservice daemons
DescriptionNot all multi-service daemons need to be running for us to report that the service is running. Support this case with 'individual_running' flag
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006851)
bchambers (administrator)
2017-12-15 08:54

In addition, additional support required for on boot and set running...the logic for service that create individual entries for /etc/systemd/system/multi-service-wants/*** is broken.
(0006861)
bchambers (administrator)
2017-12-15 08:56

Keep all logic the same *except* if the individual_running flag is set so as not to introduce any collateral damage.

Currently, only two apps set this flag in the daemon configlet:
dropbox
syncthing

- Issue History
Date Modified Username Field Change
2017-12-14 13:26 bchambers New Issue
2017-12-14 13:26 bchambers Status new => assigned
2017-12-14 13:26 bchambers Assigned To => bchambers
2017-12-15 08:54 bchambers Note Added: 0006851
2017-12-15 08:56 bchambers Note Added: 0006861
2017-12-15 13:24 bchambers Status assigned => acknowledged
2017-12-15 13:25 bchambers Status acknowledged => resolved
2017-12-15 13:25 bchambers Fixed in Version => 7.4.0 Updates
2017-12-15 13:25 bchambers Resolution open => fixed
2018-01-15 07:03 pbaldwin Status resolved => closed